#if !defined(AFX_SNDFXDLG_H__94004B5F_DD53_11D2_AD93_00608CB3A4F4__INCLUDED_)
#define AFX_SNDFXDLG_H__94004B5F_DD53_11D2_AD93_00608CB3A4F4__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SndfxDlg.h : header file
//

#include "resource.h"


/////////////////////////////////////////////////////////////////////////////
// CSndfxDlg dialog

class CSndfxDlg : public CDialog
{
// Construction
public:
	CSndfxDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSndfxDlg)
	enum { IDD = IDD_SETUP };
	CComboBox	m_cbxFxBuffer;
	CComboBox	m_cbxType;
	CComboBox	m_cbxEmuTimeout;
	CComboBox	m_cbxEmu;
	CButton	m_cJoyPort;
	CStatic	m_cTraceLabel;
	CButton	m_cbtnAutoLoad;
	CComboBox	m_cbxTrace;
	CComboBox	m_cbxDma16;
	CComboBox	m_cbxMidi;
	CComboBox	m_cbxDsp;
	CComboBox	m_cbxAdlib;
	CComboBox	m_cbxBase;
	CString	m_sBaseAddress;
	int		m_iDma16;
	int		m_iDma8;
	int		m_iInterrupt;
	CString	m_sMidiBase;
	int		m_iType;
	CString	m_sAdlibTimeout;
	int		m_iTrace;
	BOOL	m_bAutoLoad;
	BOOL	m_bJoyPort;
	CString	m_sEmuBase;
	CString	m_sEmuTimeout;
	int		m_iSynth;
	CString	m_sFxBuffer;
	//}}AFX_DATA

	CString	m_sDspInterval;
    BOOL m_bJoyPortEnable;
    BOOL m_bEnableEmu;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSndfxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSndfxDlg)
	afx_msg void OnEditupdateBase();
	afx_msg void OnEditupdateMidi();
	afx_msg void OnDefaults();
	afx_msg void OnEditupdateAdlibTimeout();
	afx_msg void OnEditupdateDspInterval();
	afx_msg void OnSelchangeType();
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnEditupdateEmu();
	afx_msg void OnEditupdateEmuTimeout();
	afx_msg void OnEditupdateFxBuffer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SNDFXDLG_H__94004B5F_DD53_11D2_AD93_00608CB3A4F4__INCLUDED_)
