@echo off

if "%1"=="checked" goto Setup
if "%1"=="CHECKED" goto Setup
if "%1"=="free" goto Setup
if "%1"=="FREE" goto Setup
goto Error


:Setup
setlocal

set TARGET=386
set TARGET_DIR=i386
echo %1 build for %TARGET%
echo.


rem default paths - SDK & DDK
rem !!! use 8.3 names.  Open a COMMAND.COM prompt in the folder for these
rem WINSDK_PATH=c:\Program Files\Microsoft Platform SDK
set WINSDK_PATH=C:\PROGRA~1\MIC977~1
set WINNTDDK_PATH=c:\ddknt4

rem Uncomment for DDK 5.0
:set WINNTDDK_PATH=c:\ddkwin2k
rem !!! IMPORTANT remove calls to vccheck in setenv.bat and add quotes to call "%MSDEVDIR%\bin\vcvars32"

rem MSVC 4.2
:set MSDS_PATH=C:\msdev
:set MSVC_PATH=%MSDS_PATH%

rem Uncomment for VC5
:set MSVC_PATH=E:\DevStudio\VC
:set MSDS_PATH=E:\DevStudio\SharedIDE

rem Uncomment for VC6
set MSVC_PATH=C:\Program Files\Microsoft Visual Studio\VC98
set MSDS_PATH=C:\Program Files\Microsoft Visual Studio\Common\MSDev98

rem Uncomment to force default paths
set Mstools=
set BASEDIR=
set MSDevDir=
set MSVCDir=

rem path to SDK
if not "%Mstools%"=="" goto set1
set Mstools=%WINSDK_PATH%

rem path to dev studio
:set1
if "%MSDevDir%"=="" goto set2
set MSDS_PATH=%MSDevDir%

rem path to compiler
:set2
if "%MSVCDir%"=="" goto set3
set MSVC_PATH=%MSVCDir%

rem path to DDK
:set3
if "%BASEDIR%"=="" goto set4
set WINNTDDK_PATH=%BASEDIR%


rem Setup build environment
:set4
set PATH=%MSVC_PATH%\bin;%MSDS_PATH%\bin;%systemroot%\system32;%systemroot%
set INCLUDE=%MSVC_PATH%\include
set LIB=%MSVC_PATH%\lib

rem Uncomment for VC5/6
set MSDevDir=%MSDS_PATH%
set MSVCDir=%MSCV_PATH%

rem clear any EV's relating to the DDK to ensure a clean start
set ntcppflags=
:set ntcppflags=-D_M_I86
set _NTROOT=
set _OBJ_DIR=
set BASEDIR=
set BUILD_DEFAULT=
set BUILD_DEFAULT_TARGETS=
set BUILD_MAKE_PROGRAM=
set C_DEFINES=
set DDKBUILDENV=
set DDKDRIVE=
set MSC_OPTIMIZATION=
set NEW_CRTS=
set NTDBGFILES=
set NTDEBUG=
set NTDEBUGTYPE=
set NTMAKEENV=
pushd .
call %WINNTDDK_PATH%\bin\setenv.bat %WINNTDDK_PATH% %1
popd


:DoBuild
rem the NT4 DDK build utility doesn't make the free & checked directories so make them now
if not "%BUILD_ALT_DIR%" == "" goto build
if not exist bin mkdir bin
if not exist bin\%TARGET_DIR% mkdir bin\%TARGET_DIR%
if not exist bin\%TARGET_DIR%\free mkdir bin\%TARGET_DIR%\free
if not exist bin\%TARGET_DIR%\checked mkdir bin\%TARGET_DIR%\checked

:build
build.exe -%TARGET% %2 %3 %4 %5 %6
if "%2" == "-w" goto EndBuild
if exist build.wrn type build.wrn
if exist build.err type build.err

:EndBuild
endlocal
goto End


:Error
echo Usage:
echo     BUILD [checked^|^free] {options}
goto End


:End
